---
# black is the uncompromising python code formatter
# https://github.com/psf/black
include:
  - remote: https://jobs.just-ci.dev/v6.13.1/python/generic.yml

python:black:
  extends: .python:pre
  variables:
    JOB_PACKAGE: black
  script:
    - !reference [".python:pre", script]
    - black --check --diff --color --exclude "${PYTHON_EXCLUDE_REGEX}" .
  needs: []
